Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Slot

    java.lang.Object
      net.minecraft.src.Slot

Direct Known Subclasses:
  SlotCrafting, SlotFurnace, SlotMerchantResult

    public class Slot

extends Object

Field Summary
`IInventory` | `inventory` The inventory we want to extract a slot from.
`int` | `slotNumber` the id of the slot(also the index in the inventory arraylist)
`int` | `xDisplayPosition` display position of the inventory slot on the screen x axis
`int` | `yDisplayPosition` display position of the inventory slot on the screen y axis

Constructor Summary
`Slot(IInventory par1IInventory, int par2, int par3, int par4)`

Method Summary
`ItemStack` | `decrStackSize(int par1)` Decrease the size of the stack in slot (first int arg) by the amount of the second int arg.
`boolean` | `func_82869_a(EntityPlayer par1EntityPlayer)`
`void` | `func_82870_a(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)`
`int` | `getBackgroundIconIndex()`
`boolean` | `getHasStack()` Returns if this slot contains a stack.
`int` | `getSlotStackLimit()` Returns the maximum stack size for a given slot (usually the same as getInventoryStackLimit(), but 1 in the case of armor slots)
`ItemStack` | `getStack()` Helper fnct to get the stack in the slot.
`boolean` | `isItemValid(ItemStack par1ItemStack)` Check if the stack is a valid item for this slot.
`boolean` | `isSlotInInventory(IInventory par1IInventory, int par2)` returns true if this slot is in par2 of par1
`void` | `onSlotChange(ItemStack par1ItemStack, ItemStack par2ItemStack)` if par2 has more items than par1, onCrafting(item,countIncrease) is called
`void` | `onSlotChanged()` Called when the stack in a Slot changes
`void` | `putStack(ItemStack par1ItemStack)` Helper method to put a stack in the slot.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inventory

    public final IInventory inventory

  The inventory we want to extract a slot from.

### slotNumber

    public int slotNumber

  the id of the slot(also the index in the inventory arraylist)

### xDisplayPosition

    public int xDisplayPosition

  display position of the inventory slot on the screen x axis

### yDisplayPosition

    public int yDisplayPosition

  display position of the inventory slot on the screen y axis

Constructor Detail

### Slot

    public Slot(IInventory par1IInventory,
                int par2,
                int par3,
                int par4)

Method Detail

### onSlotChange

    public void onSlotChange(ItemStack par1ItemStack,
                             ItemStack par2ItemStack)

  if par2 has more items than par1, onCrafting(item,countIncrease) is called

### func_82870_a

    public void func_82870_a(EntityPlayer par1EntityPlayer,
                             ItemStack par2ItemStack)

### isItemValid

    public boolean isItemValid(ItemStack par1ItemStack)

  Check if the stack is a valid item for this slot. Always true beside for the armor slots.

### getStack

    public ItemStack getStack()

  Helper fnct to get the stack in the slot.

### getHasStack

    public boolean getHasStack()

  Returns if this slot contains a stack.

### putStack

    public void putStack(ItemStack par1ItemStack)

  Helper method to put a stack in the slot.

### onSlotChanged

    public void onSlotChanged()

  Called when the stack in a Slot changes

### getSlotStackLimit

    public int getSlotStackLimit()

  Returns the maximum stack size for a given slot (usually the same as getInventoryStackLimit(), but 1 in the case of armor slots)

### decrStackSize

    public ItemStack decrStackSize(int par1)

  Decrease the size of the stack in slot (first int arg) by the amount of the second int arg. Returns the new stack.

### isSlotInInventory

    public boolean isSlotInInventory(IInventory par1IInventory,
                                     int par2)

  returns true if this slot is in par2 of par1

### func_82869_a

    public boolean func_82869_a(EntityPlayer par1EntityPlayer)

### getBackgroundIconIndex

    public int getBackgroundIconIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD